<Project>

	<Import Condition="'$(SolutionName)' == 'Cloudburst'" Project="..\Cloudburst\Solution.props" />

	<PropertyGroup>
		<GeneratePackageOnBuild>true</GeneratePackageOnBuild>
		<CloudburstVersion Condition="'$(CloudburstVersion)' == ''">0.8.4</CloudburstVersion>
		<CloudburstBuildToolsVersion Condition="'$(CloudburstBuildToolsVersion)' == ''">0.7.6</CloudburstBuildToolsVersion>
		<LocalNugetPackagesDirName Condition="'$(LocalNugetPackagesDirName)' == ''">..\Build</LocalNugetPackagesDirName>

		<!-- This is needed because during a restore, the VersionManager Task does not run. -->
		<Version Condition="'$(Version)' == ''">$(CloudburstVersion)</Version>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Cloudburst.BuildTools" Version="$(CloudburstBuildToolsVersion)" PrivateAssets="all"  />
	</ItemGroup>

</Project>
